%global gitdate 20230215
%global cmakever 23.01.00
%global commit0 e18e3a2f1ec6ddfcc6832cdcf3c549787b2d062d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20221108
Name:           khealthcertificate
Version: %{cmakever}^%{gitdate}.%{shortcommit0}
Release:        1%{?dist}
License:        Apache2.0 and BSD and CC-BY-4.0 and CC0-1.0 and EUPL-1.2 and LGPL-2.0 and MIT and W3C-20120513
Summary:        Handling of digital vaccination, test and recovery certificates.
Url:            https://invent.kde.org/pim/khealthcertificate
Source0: %{name}-%{shortcommit0}.tar.gz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: gcc-c++
BuildRequires: openssl-devel
BuildRequires: zlib-devel

BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5I18n)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Qml)

%description
%{summary}.

%prep
%autosetup -n %{name}-%{shortcommit0} -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%files
%{_kf5_datadir}/qlogging-categories5/org_kde_khealthcertificate.categories

%{_kf5_libdir}/*.so.*

%{_kf5_qmldir}/org/kde/khealthcertificate/

%license LICENSES/*

%package devel
Summary: Development files for khealthcertificate
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%files devel
%{_includedir}/*

%{_kf5_libdir}/cmake/KHealthCertificate
%{_kf5_libdir}/*.so

%changelog
* Wed Sep 28 2022 Justin Zobel <justin@1707.io> - 22.09-1
- Update to 22.09

* Thu Aug 25 2022 Justin Zobel <justin@1707.io> - 22.06-1
- Update to 22.06

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 22.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Feb 09 2022 Justin Zobel <justin@1707.io> - 22.02-1
- Update to 22.02

* Wed Dec 22 2021 Justin Zobel <justin@1707.io> - 21.12-1
- Initial version of package
